ppipes = 
	{
		{2, 3, n=1, x=1, y=1}, -- right down
		{2, 3, 4}, -- right down left
		{3, 4}, -- down left
		{3}, -- down
		{{1,4},{2,3}}, -- two fluid boxes: up left and right down
		{1, 2, 3}, -- up right down
		{1, 2, 3, 4}, -- up right down left
		{1, 3, 4}, -- up down left
		{1, 3}, -- up down
		{{1,2},{3,4}}, -- two fluid boxes: up right and down left
		{1, 2}, -- up right
		{1, 2, 4}, -- up right left
		{1, 4}, -- up left
		{1}, -- up
		{{1,3},{2,4}}, -- two fluid boxes
		{2}, -- left
		{2, 4}, -- right left
		{4}, -- right
		{}, -- no connection
		{{2,4},{1,3}}, -- two fluid boxes
	}

function love.load()
	love.graphics.setDefaultFilter("nearest", "nearest")
	
	
	love.graphics.setBackgroundColor( .5, .5, .5)
	img = love.graphics.newImage("graphics/pipes.png")
	pipes = {}
	local i = 1
	local ts = 32 -- tile_size
	for yi = 1, 4 do 
		for xi = 1, 5 do 
			local pipe = 
			{
			quad = love.graphics.newQuad( (xi-1)*ts, (yi-1)*ts, ts, ts, img:getDimensions()),
			img = img,
			fluidbox = ppipes[i]}
			table.insert(pipes, pipe)
			local i=i+1
		end
	end
end


function love.update(dt)
	
end


function love.draw()
	
	love.graphics.scale(3, 3)
	
	love.graphics.draw(img, pipes[1].quad, 0, 0)
	love.graphics.draw(img, pipes[2].quad, 32, 0)
	love.graphics.draw(img, pipes[17].quad, 64, 0)
	love.graphics.draw(img, pipes[17].quad, 64+32, 0)
	love.graphics.draw(img, pipes[3].quad, 64+64, 0)
	love.graphics.draw(img, pipes[16].quad, 64+64+32, 0)
	love.graphics.draw(img, pipes[18].quad, 64+64+64, 0)
	love.graphics.draw(img, pipes[19].quad, 64+64+64+32, 0)
	
	love.graphics.draw(img, pipes[6].quad, 0, 32)
	love.graphics.draw(img, pipes[7].quad, 32, 32)
	love.graphics.draw(img, pipes[17].quad, 64, 32)
	love.graphics.draw(img, pipes[3].quad, 64+32, 32)
	love.graphics.draw(img, pipes[9].quad, 64+64, 32)
	love.graphics.draw(img, pipes[4].quad, 64+64+32, 32)
	love.graphics.draw(img, pipes[4].quad, 64+64+64, 32)
	love.graphics.draw(img, pipes[19].quad, 64+64+64+32, 32)
	
	love.graphics.draw(img, pipes[6].quad, 0, 64)
	love.graphics.draw(img, pipes[5].quad, 32, 64)
	love.graphics.draw(img, pipes[17].quad, 64, 64)
	love.graphics.draw(img, pipes[15].quad, 64+32, 64)
	love.graphics.draw(img, pipes[8].quad, 64+64, 64)
	love.graphics.draw(img, pipes[14].quad, 64+64+32, 64)
	love.graphics.draw(img, pipes[11].quad, 64+64+64, 64)
	love.graphics.draw(img, pipes[18].quad, 64+64+64+32, 64)
	
	love.graphics.draw(img, pipes[11].quad, 0, 64+32)
	love.graphics.draw(img, pipes[12].quad, 32, 64+32)
--	love.graphics.draw(img, pipes[17].quad, 64, 64+32)
	love.graphics.draw(img, pipes[2].quad,  64, 64+32)
	love.graphics.draw(img, pipes[13].quad, 64+32, 64+32)
	love.graphics.draw(img, pipes[14].quad, 64+64, 64+32)
	love.graphics.draw(img, pipes[1].quad, 64+64+32, 64+32)
	love.graphics.draw(img, pipes[2].quad, 64+64+64, 64+32)
	love.graphics.draw(img, pipes[3].quad, 64+64+64+32, 64+32)
	
	love.graphics.draw(img, pipes[1].quad, 0, 128)
	love.graphics.draw(img, pipes[17].quad, 32, 128)
	love.graphics.draw(img, pipes[20].quad, 64, 128)
	love.graphics.draw(img, pipes[17].quad, 64+32, 128)
	love.graphics.draw(img, pipes[17].quad, 64+64, 128)
	love.graphics.draw(img, pipes[5].quad, 64+64+32, 128)
	love.graphics.draw(img, pipes[8].quad, 64+64+64, 128)
	love.graphics.draw(img, pipes[9].quad, 64+64+64+32, 128)
	
	love.graphics.draw(img, pipes[11].quad, 0, 128+32)
	love.graphics.draw(img, pipes[17].quad, 32, 128+32)
	love.graphics.draw(img, pipes[12].quad, 64, 128+32)
	love.graphics.draw(img, pipes[17].quad, 64+32, 128+32)
	love.graphics.draw(img, pipes[17].quad, 64+64, 128+32)
	love.graphics.draw(img, pipes[13].quad, 64+64+32, 128+32)
	love.graphics.draw(img, pipes[11].quad, 64+64+64, 128+32)
	love.graphics.draw(img, pipes[13].quad, 64+64+64+32, 128+32)
	
end